%define anolis_release 1

%global qt_module qtwebchannel
%global majmin %(echo %{version} | cut -d. -f1-2)

Name:    qt5-%{qt_module}
Summary: Qt5 - WebChannel component
Version: 5.15.9
Release: %{anolis_release}%{?dist}
License: LGPLv2 with exceptions or GPLv3 with exceptions
Url: http://qt.io
Source0: https://download.qt.io/official_releases/qt/%{majmin}/%{version}/submodules/%{qt_module}-everywhere-opensource-src-%{version}.tar.xz

BuildRequires: make
BuildRequires: qt5-qtdeclarative-devel qt5-qtwebsockets-devel
BuildRequires: qt5-qtbase-devel >= %{version} qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}

%description
Qt5-QtWebChannel is a module in the Qt framework that provides a communication
channel between a web page and a Qt application. This module allows the
application to expose QObject instances to a web page and make them accessible
from JavaScript code running in the web page. It enables bidirectional communication
between the web page and the application, making it possible to create interactive
web-based user interfaces that can interact with a native application. The module
is useful for creating web-based front-ends for desktop applications, IoT devices,
and other systems that require web-based user interfaces.

%package devel
Summary: Development files for %{name}
Requires: qt5-qtbase-devel
Requires: %{name} = %{EVR}

%description devel
This is a development package for %{name}.

%package examples
Summary: Programming examples for %{name}
Requires: %{name} = %{version}-%{release}

%description examples
This is a programming examples package for %{name}.

%prep
%setup -n %{qt_module}-everywhere-src-%{version} -q

%build
%{qmake_qt5}

%make_build

%install
make install INSTALL_ROOT=%{buildroot}

pushd %{buildroot}%{_qt5_libdir}
for perl_file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${perl_file}
  if [ -f "$(basename ${perl_file} .prl).so" ]; then
    rm -fv "$(basename ${perl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${perl_file}
  fi
done
popd

%files
%license LICENSE.*
%{_qt5_archdatadir}/qml/QtWebChannel/
%{_qt5_libdir}/libQt5WebChannel.so.5*

%files devel
%dir %{_qt5_libdir}/cmake/Qt5WebChannel/
%{_qt5_headerdir}/QtWebChannel/
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_webchannel*.pri
%{_qt5_libdir}/libQt5WebChannel.prl
%{_qt5_libdir}/pkgconfig/Qt5WebChannel.pc
%{_qt5_libdir}/libQt5WebChannel.so
%{_qt5_libdir}/cmake/Qt5WebChannel/Qt5WebChannelConfig*.cmake

%if 0%{?_qt5_examplesdir:1}
%files examples
%{_qt5_examplesdir}/
%endif

%changelog
* Wed May 24 2023 Funda Wang <fundawang@yeah.net> - 5.15.9-1
- New version 5.15.9

* Thu Apr 13 2023 Heng Qi <hengqi@linux.alibaba.com> - 5.15.8-2
- Refactor the spec file

* Fri Jan 20 2023 Funda Wang <fundawang@yeah.net> - 5.15.8-1
- New version 5.15.8

* Wed Dec 7 2022 Funda Wang <fundawang@yeah.ent> - 5.15.7-1
- New version 5.15.7

* Thu Jul 28 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 5.15.5-1
- Init from upstream version 5.15.5
